| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
Qore::SocketPollInfo Struct Reference

Socket or other pollable object poll info hash. More...

`#include <QC_Socket.dox.h>`

## Public Attributes
int | events
| The poll type; see Socket Poll Constants for possible values to be combined with binary or.
Qore::AbstractPollableIoObject | socket
| the pollable object to monitor

## Detailed Description

Socket or other pollable object poll info hash.

for use with Socket::poll()"

## Member Data Documentation

## ◆ events

int Qore::SocketPollInfo::events

The poll type; see Socket Poll Constants for possible values to be combined with binary or.

On input, these are the events to check, on output, this value gives the events found in the timeout period